Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87761 - (DRM RADEON)Radeon DRM module reports allocation problems
Summary: (DRM RADEON)Radeon DRM module reports allocation problems
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-02 03:53 UTC by Neil Padgett
Modified: 2007-04-18 16:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:43 UTC


Attachments (Terms of Use)
lspci -v output (deleted)
2003-04-02 03:58 UTC, Neil Padgett
no flags Details
lspci -v output from Patrick (deleted)
2003-04-07 10:46 UTC, Patrick
no flags Details
XF86Config from Patrick (deleted)
2003-04-07 10:57 UTC, Patrick
no flags Details
XFree86.log from Patrick (deleted)
2003-04-08 13:51 UTC, Patrick
no flags Details

Description Neil Padgett 2003-04-02 03:53:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:


Version-Release number of selected component (if applicable):
kernel-2.4.20-8

How reproducible:
Didn't try

Steps to Reproduce:

    

Additional info:

clip from dmesg:
[drm:radeon_ioremapfree:mappings] *ERROR* Excess frees: 46 frees, 40 allocs
[drm:radeon_ioremapfree:mappings] *ERROR* Excess frees: 47 frees, 40 allocs
[drm:radeon_ioremapfree:mappings] *ERROR* Excess frees: 48 frees, 40 allocs
[drm:radeon_ioremapfree:mappings] *ERROR* Excess frees: 49 frees, 40 allocs
[drm:radeon_ioremapfree:mappings] *ERROR* Attempt to free NULL pointer
[drm:radeon_ioremapfree:mappings] *ERROR* Excess frees: 50 frees, 40 allocs
[drm] Loading R200 Microcode
cdrom: This disc doesn't have any tracks I recognize!
[drm:radeon_ioremapfree:mappings] *ERROR* Excess frees: 51 frees, 44 allocs
[drm:radeon_ioremapfree:mappings] *ERROR* Excess frees: 52 frees, 44 allocs
[drm:radeon_ioremapfree:mappings] *ERROR* Excess frees: 53 frees, 44 allocs
[drm:radeon_ioremapfree:mappings] *ERROR* Excess frees: 54 frees, 44 allocs
[drm:radeon_ioremapfree:mappings] *ERROR* Attempt to free NULL pointer
[drm:radeon_ioremapfree:mappings] *ERROR* Excess frees: 55 frees, 44 allocs
[drm] Loading R200 Microcode
.
.
.

Comment 1 Neil Padgett 2003-04-02 03:58:22 UTC
Created attachment 90831 [details]
lspci -v output

Comment 2 Neil Padgett 2003-04-02 04:02:18 UTC
How to reproduce:
Report is issued on X server restart force (for example, ctrl-alt-bkspc)

Is this a complaint just resulting from killing the server?

Comment 3 Mike A. Harris 2003-04-02 19:55:04 UTC
It sounds like the Radeon DRM is double free()'ing.  This is the
first I've ever seen this reported, so if you could provide more
information, including your X server log and config file, it may
be useful for us.

Comment 4 Patrick 2003-04-07 10:42:46 UTC
I have the same error messages in /var/log/messages:
Apr  6 11:24:54 guru kernel: agpgart: Maximum main memory to use for agp memory:
941M
Apr  6 11:24:54 guru kernel: [drm] Initialized radeon 1.7.0 20020828 on minor 0
Apr  6 11:24:54 guru kernel: [drm:radeon_unlock] *ERROR* Process 3664 using
kernel context 0
Apr  6 11:24:54 guru kernel: [drm:radeon_ioremapfree:mappings] *ERROR* Attempt
to free NULL pointer
Apr  6 11:24:54 guru kernel: [drm:radeon_ioremapfree:mappings] *ERROR* Excess
frees: 1 frees, 0 allocs

Also glxinfo says "direct rendering: No". Hardware: Asus A7N8X Deluxe w/ latest
stable bios (it's and NForce2 based mobo), Sapphire Radeon 9000 Atlantis Pro
w/128MB and Vivo. Let me know if you need more info at rh_bugzilla [*]
puzzled.xs4all.nl. Thanks Patrick

Comment 5 Patrick 2003-04-07 10:46:05 UTC
Created attachment 90944 [details]
lspci -v output from Patrick

Comment 6 Patrick 2003-04-07 10:57:08 UTC
Created attachment 90945 [details]
XF86Config from Patrick

Comment 7 Patrick 2003-04-08 13:51:53 UTC
Created attachment 91007 [details]
XFree86.log from Patrick

Comment 8 Patrick 2003-04-08 13:55:27 UTC
In case you missed it, <a
href="https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=82902"
TARGET=_blank>bug 82902</a> seems to be related to this one.

Comment 9 Pete Toscano 2003-04-11 16:42:15 UTC
I get similar messages...

Apr 10 23:01:14 bubba kernel: [drm] AGP 0.99 on VIA Apollo KT133 @ 0x00000000 64 MB
Apr 10 23:01:14 bubba kernel: mtrr: type mismatch for 0000,4000000 old:
write-back new: write-combining
Apr 10 23:01:14 bubba kernel: [drm] Initialized radeon 1.7.0 20020828 on minor 0
Apr 10 23:01:14 bubba kernel: [drm:radeon_unlock] *ERROR* Process 8639 using
kernel context 0
Apr 10 23:01:14 bubba kernel: [drm:radeon_ioremapfree:mappings] *ERROR* Attempt
to free NULL pointer                                                           
                                    Apr 10 23:01:14 bubba kernel:
[drm:radeon_ioremapfree:mappings] *ERROR* Excess frees: 1 frees, 0 allocs

I have other similar message on the console after I exit X (in run-level 3). 
I'll get some of them later, when I'm home.

Comment 10 Patrick 2003-04-12 16:04:49 UTC
Arjan, Mike: your collegue Ed Bailey has similar error messages. Here is the
info he sent me:

Ok, I just got in, and it is an ATI-built 9000 Pro (The box has part number
100-433002 on it, FWIW).  Here's the output from lspci -v:

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon R250 If [Radeon
9000] (rev 01) (prog-if 00 [VGA])
        Subsystem: ATI Technologies Inc: Unknown device 0002
        Flags: bus master, stepping, 66Mhz, medium devsel, latency 64, IRQ 16
        Memory at e8000000 (32-bit, prefetchable) [size=128M]
        I/O ports at fc00 [size=256]
        Memory at fcff0000 (32-bit, non-prefetchable) [size=64K]
        Expansion ROM at c0000000 [disabled] [size=128K]
        Capabilities: [58] AGP version 2.0
        Capabilities: [50] Power Management version 2

01:00.1 Display controller: ATI Technologies Inc Radeon R250 [Radeon 9000]
(Secondary) (rev 01)
        Subsystem: ATI Technologies Inc: Unknown device 0003
        Flags: bus master, stepping, 66Mhz, medium devsel, latency 64
        Memory at e0000000 (32-bit, prefetchable) [size=128M]
        Memory at fcfe0000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [50] Power Management version 2

I also looked through my /var/log/messages file, and it looks like I'm
experiencing the problem:

Apr  9 09:54:10 raptor kernel: [drm:radeon_ioremapfree:mappings] *ERROR* Attempt
to free NULL pointer
Apr  9 09:54:10 raptor kernel: [drm:radeon_ioremapfree:mappings] *ERROR* Excess
frees: 5 frees, 4 allocs

But my 3D-accelerated screensavers seem to be just as speedy as ever; I'm
confused... :-(

                                Ed
-- 
Ed Bailey        Red Hat, Inc.          http://www.redhat.com/

Comment 11 Bugzilla owner 2004-09-30 15:40:43 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.